Bug 1302801 - Need method to view pools belonging to a given subscription
Summary: Need method to view pools belonging to a given subscription
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Candlepin
Version: Unspecified
Hardware: Unspecified
OS: Unspecified
unspecified
medium vote
Target Milestone: Unspecified
Assignee: William Poteat
QA Contact: Jitendra Yejare
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-01-28 16:31 UTC by Alex Wood
Modified: 2019-09-25 21:28 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-07-27 09:22:35 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2016:1501 normal SHIPPED_LIVE Red Hat Satellite 6.2 Capsule and Server 2016-07-27 12:28:58 UTC

Description Alex Wood 2016-01-28 16:31:56 UTC
We have had requests from users interested in scripting using the Candlepin API.  Currently, the API is missing a way to view the specific pools listed for a given subscription.  Users are reduced to fetching all pools and then sorting through the results.  Please add a method that allows users to get a list of pools associated with a specific subscription.

Comment 1 William Poteat 2016-02-09 12:15:39 UTC
Commit 75fa6a0d6b58240b833c579fab7778bf5fa20a0a

Comment 5 Bryan Kearney 2016-02-18 21:19:57 UTC
do I need to open up something for katello to consume this?

Comment 8 Jitendra Yejare 2016-04-25 10:28:41 UTC
What I should test here from Satellite perspective as its candlepin change ?

Comment 10 Jitendra Yejare 2016-04-26 13:57:59 UTC
What I should test here from Satellite perspective as its candlepin change ?

Comment 12 Jitendra Yejare 2016-07-19 13:17:56 UTC
Verified !

This bug has nothing to test from QE perspective so moving this to QE Verified !

Please feel free to reopen this bug if required.

Comment 13 Jitendra Yejare 2016-07-19 13:18:20 UTC
Verifying this in Sat 6.2 snap 20.2 GA.

Comment 15 errata-xmlrpc 2016-07-27 09:22:35 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2016:1501


Note You need to log in before you can comment on or make changes to this bug.